Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160253 - Hard link count is wrong for /proc: this may be a bug in your filesystem driver.
Summary: Hard link count is wrong for /proc: this may be a bug in your filesystem driver.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Viro
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 20:48 UTC by Fabrizio Bersani
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-12 06:38:50 UTC


Attachments (Terms of Use)

Description Fabrizio Bersani 2005-06-13 20:48:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.0.3-4 Firefox/1.0.3

Description of problem:
[fabrizio@localhost ~]$ su
Password:
[root@localhost fabrizio]# find / -name amarok-1.3-beta1.tar.bz2
/tmp/amarok-1.3-beta1.tar.bz2
find: WARNING: Hard link count is wrong for /proc: this may be a bug in your filesystem driver.  Automatically turning on find's -noleaf option.  Earlier results may have failed to include directories that should have been searched.
/home/fabrizio/Desktop/amarok-1.3-beta1.tar.bz2


Version-Release number of selected component (if applicable):
findutils-4.2.20-1

How reproducible:
Always

Steps to Reproduce:
1.download a file from example from http://prdownloads.sourceforge.net/amarok/amarok-1.3-beta1.tar.bz2?use_mirror=switch
2. try to locate the directory where it has been downloaded "find / -name amarok-1.3-beta1.tar.bz2"
3. you get the error message: "Hard link count is wrong for /proc: this may be a bug in your filesystem driver. ..."
  

Additional info:

Comment 1 Tim Waugh 2005-06-15 10:16:19 UTC
                  /* This is a subdirectory, but the number of directories we
                   * have found now exceeds the number we would expect given
                   * the hard link count on the parent.   This is likely to be
                   * a bug in the filesystem driver (e.g. Linux's
                   * /proc filesystem) or may just be a fact that the OS
                   * doesn't really handle hard links with Unix semantics.
                   * In the latter case, -noleaf should be used routinely.
                   */


Comment 2 Alan Lehman 2005-06-20 04:32:52 UTC
Problem persists in FC4 and occurs with any 'find -name'. -noleaf prevents the
error. Exact message:

find: WARNING: Hard link count is wrong for ./proc: this may be a bug in your
filesystem driver.  Automatically turning on find's -noleaf option.  Earlier
results may have failed to include directories that should have been searched.


Comment 3 Dave Jones 2005-06-27 23:23:45 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 4 Dave Jones 2005-07-15 21:16:25 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 5 Erik P. Olsen 2005-08-15 13:08:55 UTC
I have got the same problem with kernel 2.6.12-1.1398_FC4 after:
find / *plug* | grep jre

I run x86_64.

Comment 6 Dave Jones 2005-08-15 18:47:50 UTC
Should be fixed in the current kernel in updates-testing. (2.6.12-1.1420_FC4)

Comment 7 Dave Jones 2005-11-10 19:26:25 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 8 Andrew Zitnay 2005-11-11 13:14:42 UTC
Fixed for me on 2.6.14-1.1637_FC4smp.

Drew


Note You need to log in before you can comment on or make changes to this bug.